//
// Copyright 2014 Perforce Software Inc.
//

using Perforce.Model;
using Perforce.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Perforce.ViewModel {
    public class FavoriteSelectorViewModel : ViewModelBase {

        public FavoriteSelectorViewModel(FavoriteFolderItem item) {
            _item = item;
        }

        private FavoriteFolderItem _item;
        public FavoriteFolderItem Item {
            get { return _item; }
            set {
                _item = value;
                OnPropertyChanged(string.Empty);
            }
        }

        public string LabelText {
            get { return _item.FolderName; }
            set {
                _item.FolderName = value;
                var helper = Utility.GetFavoritesHelper();
                helper.SaveFavorite(_item);
                OnPropertyChanged("LabelText");
            }
        }
    }
}
